#!/bin/bash
set -ex
cd /mnt/koji/compose/iot/Fedora-IoT-33-20210420.0/compose/IoT/armhfp/iso
if ! TEMPLATE="$($(head -n1 $(which lorax) | cut -c3-) -c 'import pylorax; print(pylorax.find_templates())')"; then TEMPLATE=/usr/share/lorax; fi
/usr/bin/genisoimage -untranslated-filenames -volid Fedora-iot-iot-dvd-armhfp-33 -J -joliet-long -rational-rock -translation-table -input-charset utf-8 -x ./lost+found -o Fedora-IoT-IoT-dvd-armhfp-33-20210420.0.iso -graft-points -path-list /mnt/koji/compose/iot/Fedora-IoT-33-20210420.0/work/armhfp/iso/Fedora-IoT-IoT-dvd-armhfp-33-20210420.0.iso-graft-points
/usr/bin/implantisomd5 --supported-iso Fedora-IoT-IoT-dvd-armhfp-33-20210420.0.iso
isoinfo -R -f -i Fedora-IoT-IoT-dvd-armhfp-33-20210420.0.iso | grep -v '/TRANS.TBL$' | sort >> Fedora-IoT-IoT-dvd-armhfp-33-20210420.0.iso.manifest
